{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de empleados
{% endblock %}

{% block content %}
<div class="container text-center">
  <h1>Lista de empleados:</h1>
  {% if user.is_superuser %}
    <a href="{% url 'core:empleados_create' %}" class="btn btn-outline-dark form-control">Añade un nuevo empleado</a>
    {% endif %}
    <style>

      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>
   
      <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Numero de empleado</th>
        <th>Nombre de pila</th>
        <th>Apellido paterno</th>
        <th>Apellido materno</th>
        {% if user.is_superuser %}
        <th></th>
        <th>Acciones</th>
        <th></th>
        {% endif %}
      </thead>
      <tbody>
        {% for Empleados in empleado %}
          <tr>
            <td>{{ Empleados.noempleado }}</td>
            <td>{{ Empleados.nombrepila }}</td>
            <td>{{ Empleados.primerapellido }}</td>
            <td>{{ Empleados.segundoapellido }}</td>
            {% if user.is_superuser %}
            <td>
              <a href="{% url 'core:empleados_detail' Empleados.noempleado %}" class="btn btn-outline-light">Detalles</a>
            </td>
            <td>
              <a href="{% url 'core:empleados_update' Empleados.noempleado %}" class="btn btn-outline-light">Actualizar</a>
            </td>
            <td>
              <a href="{% url 'core:empleados_delete' Empleados.noempleado %}" class="btn btn-outline-light">Eliminar</a>
            </td>
            {% endif %}
          </tr>
        {% endfor %}
      </tbody>
    </table>
    
  </div>
{% endblock %}
